<?php

// uncomment the following to define a path alias
// Yii::setPathOfAlias('local','path/to/local-folder');

// This is the main Web application configuration. Any writable
// CWebApplication properties can be configured here.
return array(
	'basePath'=>dirname(__FILE__).DIRECTORY_SEPARATOR.'..',
	'name'=>'Related Search Behavior Demo',

	// preloading 'log' component
	'preload'=>array('log'),

	// autoloading model and component classes
	'import'=>array(
		'application.models.*',
		'application.components.*',
        'ext.KeenActiveDataProvider',
	    'ext.RelatedSearchBehavior',
	),
	'modules'=>array(
		// uncomment the following to enable the Gii tool
		'gii'=>array(
			'class'=>'system.gii.GiiModule',
			'password'=>'test',
		 	// If removed, Gii defaults to localhost only. Edit carefully to taste.
			'ipFilters'=>array('127.0.0.1','::1'),
		),
	),

	// application components
	'components'=>array(
		'user'=>array(
			// enable cookie-based authentication
			'allowAutoLogin'=>true,
		),

		// uncomment the following to enable URLs in path-format
		/*
		'urlManager'=>array(
			'urlFormat'=>'path',
			'rules'=>array(
				'<controller:\w+>/<id:\d+>'=>'<controller>/view',
				'<controller:\w+>/<action:\w+>/<id:\d+>'=>'<controller>/<action>',
				'<controller:\w+>/<action:\w+>'=>'<controller>/<action>',
			),
		),
		*/
		// uncomment the following to use a MySQL database

		/*
		'db'=>array(
			'connectionString' => 'mysql:host=localhost;dbname=ireport',
			'emulatePrepare' => true,
			'username' => 'root',
			'password' => '',
			'charset' => 'utf8',
		),*/
		'dbchinooksqlite'=>array(
		),'db'=>array( /* Move this line to appropriate location so that 'db' is defined to the prefered database.*/
		  'connectionString' => 'sqlite:protected/data/Chinook_Sqlite_AutoIncrementPKs.sqlite',
		        //'tablePrefix' => 'tbl_',
		),
		'dbchinookmysql'=>array(
		        'connectionString' => 'mysql:host=localhost;dbname=chinook',
		        'username'=>'root',  // MUst set proper user
		        //'tablePrefix' => 'tbl_',
		),
		'dbchinookpgsql'=>array(
		        'connectionString' => 'pgsql:host=localhost;port=5432;dbname=Chinook',
		        'username'=>'postgres', // Must set proper user.
		        //'password'=>'', // Must set proper password
		        //'tablePrefix' => 'tbl_',
		),

		'errorHandler'=>array(
            'errorAction'=>'site/error',
        ),
		'log'=>array(
			'class'=>'CLogRouter',
			'routes'=>array(
				array(
					'class'=>'CFileLogRoute',
					'levels'=>'error, warning, info, trace',
				),
				// uncomment the following to show log messages on web pages
				/*
				array(
					'class'=>'CWebLogRoute',
				),
				*/
			),
		),
	),

	// application-level parameters that can be accessed
	// using Yii::app()->params['paramName']
	'params'=>array(
		// this is used in contact page
		'adminEmail'=>'webmaster@example.com',
	),
);
